﻿@model MIMS.Portal.ViewModels.Terminal.TerminalReviewViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "بررسی پایانه";
}

<section>
    <form method="post" enctype="multipart/form-data">
        <div class="card">
            <div class="card-header">
                <h2 class="card-title">مشخصات پایانه</h2>

                <div class="clearfix"></div>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <div class="col-md-12">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <input asp-for="TerminalId" value="@Model.TerminalDetails.Id" hidden />

                        <div class="form">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.MerchantFullName" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.MerchantFullName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.MerchantNationalCode" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.MerchantNationalCode</strong></p>
                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.TerminalType" class="control-label"></label>
                                            <p><strong>@Html.DisplayFor(model => model.TerminalDetails.TerminalType)</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.PspProvider" class="control-label"></label>
                                            <p><strong>@Html.DisplayFor(model => model.TerminalDetails.PspProvider)</strong></p>

                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.StoreId" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.StoreFullName</strong></p>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.BankAccountId" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.BankAccountFullName</strong></p>

                                        </div>
                                    </div>

                                </div>
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.DeviceConnectionType" class="control-label"></label>
                                            <p><strong>@Html.DisplayFor(model => model.TerminalDetails.DeviceConnectionType)</strong></p>

                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.DeviceBrandId" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.DeviceBrandName</strong></p>

                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.DeviceModelId" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.DeviceModelName</strong></p>

                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="TerminalDetails.DeviceId" class="control-label"></label>
                                            <p><strong>@Model.TerminalDetails?.DeviceSerial</strong></p>

                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="PspProvider" class="control-label"></label>
                                            <span asp-validation-for="PspProvider" class="text-danger"></span>
                                            <select asp-for="PspProvider" asp-description-for="PspProvider" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PspProvider>()">
                                                <option selected value="">--</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReviewStatus" class="control-label"></label>
                                            <span asp-validation-for="ReviewStatus" class="text-danger"></span>
                                            <select asp-for="ReviewStatus" asp-description-for="ReviewStatus" class="form-control">
                                                <option selected value="">--</option>
                                                <option value="true">تایید</option>
                                                <option value="false">رد</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label asp-for="ReviewComment" class="control-label"></label>
                                            <span asp-validation-for="ReviewComment" class="text-danger"></span>
                                            <input asp-for="ReviewComment" asp-description-for="ReviewComment" class="form-control" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-primary btn-min-width">
                                        ثبت
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

@section Scripts{
    <script>
        $(function () {
            $('.preview').on('click', function () {
                $('.modal-title').text($(this).prevAll('label').first().text());
                $('.image-preview').attr('src', $(this).find('img').attr('src'));
                $('#modal-image-preview').modal({
                    backdrop: 'static',
                    keyboard: false,
                    show: true
                });
            });
        });
    </script>
}